JP1 Remotes Forum Index JP1 Remotes


FAQFAQ SearchSearch 7 days of topics7 Days MemberlistMemberlist UsergroupsUsergroups RegisterRegister
ProfileProfile Log in to check your private messagesLog in to check your private messages Log inLog in

writeRemote returned -5

 
Post new topic   Reply to topic    JP1 Remotes Forum Index -> JP1 - Software
View previous topic :: View next topic  
Author Message
avidgamr



Joined: 07 Mar 2015
Posts: 24

PostPosted: Mon Jul 22, 2019 5:00 am    Post subject: writeRemote returned -5 Reply with quote

What the heck does this mean? Sometimes I see this error message when I try to upload (to my JP1 remote with RMIR 2.03 Alpha 28 build 16; yes it's old but there's a reason I still use it). If I try again all goes fine.
Back to top
View user's profile Send private message
mdavej
Expert


Joined: 08 Oct 2003
Posts: 4004

PostPosted: Mon Jul 22, 2019 2:36 pm    Post subject: Reply with quote

You mean "-1"? Could be lots of things, low batteries, failing interface, poor connection, port not found, corrupt memory, corrupt file, etc. Just have to try to eliminate one thing at a time. I'd start by changing interface detection from auto to actual comm port, then put in fresh batteries. Failing that, try a 981 reset on the remote before your next download (deactivate extender first).

What's the reason you have to use an older version of RMIR? I'm sure Graham would rather see a bug report that he can fix than have users running older versions that he can't support.
Back to top
View user's profile Send private message
avidgamr



Joined: 07 Mar 2015
Posts: 24

PostPosted: Tue Jul 23, 2019 5:34 am    Post subject: Reply with quote

No, I actually mean -5.
http://www.hifi-remote.com/forums/dload.php?action=file&file_id=25631
Back to top
View user's profile Send private message
mdavej
Expert


Joined: 08 Oct 2003
Posts: 4004

PostPosted: Tue Jul 23, 2019 10:35 am    Post subject: Reply with quote

If you can't upgrade to the latest version, at least download it and replace your jp12serial and jp1usb files with the versions from the latest complete install package. Those contain fixes that are possibly related to your issue.
Back to top
View user's profile Send private message
avidgamr



Joined: 07 Mar 2015
Posts: 24

PostPosted: Tue Jul 23, 2019 5:37 pm    Post subject: Reply with quote

I have upgraded to 2.08 b1 and
I still get the same error. If I could take a screenshot of the "about" along with the error message as proof I would but the program will not allow it.
Oh well. Forget it.
http://www.hifi-remote.com/forums/dload.php?action=file&file_id=25632
Back to top
View user's profile Send private message
The Robman
Site Owner


Joined: 01 Aug 2003
Posts: 19072
Location: Chicago, IL

PostPosted: Tue Jul 23, 2019 5:44 pm    Post subject: Reply with quote

see this thread for info on how to post images:
http://www.hifi-remote.com/forums/viewtopic.php?t=6557


_________________
Rob
www.hifi-remote.com
Please don't PM me with remote questions, post them in the forums so all the experts can help!
Back to top
View user's profile Send private message Visit poster's website
mdavej
Expert


Joined: 08 Oct 2003
Posts: 4004

PostPosted: Tue Jul 23, 2019 6:29 pm    Post subject: Reply with quote

Your rmaster.err file might have some more clues. Please post that.

It's not that we demand proof. We just want information to help us diagnose. The error message doesn't mean much more to me than it does to you. We've never seen "-5", which is why I wanted you to confirm it wasn't a typo.
Back to top
View user's profile Send private message
mathdon
Expert


Joined: 22 Jul 2008
Posts: 3250
Location: Cambridge, UK

PostPosted: Wed Jul 24, 2019 8:10 am    Post subject: Reply with quote

I see that it is a JP1 remote you are using, so you may be using a JP1 interface cable with a Delcom chip. There are adapters to allow these remotes to be programmed with a JP1.x cable with an FTDI chip, but I think it likely that you are using a JP1 cable. If so, RMIR calls the jp1usb dll rather than the jp12serial dll. Both these dlls have recently been upgraded, as mdavej has pointed out. The upgrade to v0.24 of the jp12serial dll is included in the build 1 of RMIR v2.08 that you already have but that to v0.04 of the jp1usb dll needs an upgrade to the current development build of RMIR v2.08, which is build 5. That upgrade is available in the RMIR Development folder.

If you are using a JP1 interface cable then please install this upgrade to your RMIR v2.08 installation. I do not know if it will resolve this issue, but even if it does not, that failure will in itself give us useful info towards diagnosing this mysterious error message.
_________________
Graham
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic       JP1 Remotes Forum Index -> JP1 - Software All times are GMT - 5 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


 

Powered by phpBB © 2001, 2005 phpBB Group
Get Smart! the band's official homepage Rockabilly Central